%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:       google-drive-ocamlfuse
Version:    0.7.2
Release:    %mkrel 3
License:    BSD-2-Clause
Summary:    FUSE filesystem for Google Drive
Url:        http://gdfuse.forge.ocamlcore.org
Group:      Networking/Remote access
Source:     https://github.com/astrada/google-drive-ocamlfuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-findlib-devel >= 1.2.7
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocamlfuse >= 2.7.1
BuildRequires:  gapi-ocaml-devel >= 0.2.14
BuildRequires:  ocaml-sqlite-devel >= 1.6.1
BuildRequires:  ocaml-cryptokit-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-yojson-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-curl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(fuse)
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
google-drive-ocamlfuse is a FUSE-based file system backed by Google Drive,
written in OCaml. It lets you mount your Google Drive on Linux.

On the first time, just run google-drive-ocamlfuse, which will open a
browser for authentication. If that process succeeds, it will print
"Access token retrieved correctly.". Now run google-drive-ocamlfuse
with an empty directory supplied, which is the mount point for your Google
Drive. You can optionally unmount with fusermount -u mount-point.

Further documentation is available here:

  https://github.com/astrada/google-drive-ocamlfuse/wiki


%prep
%setup -q

%build
dune build @install

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --prefix=%{buildroot}/usr --libdir=%{buildroot}%{_libdir}/ocaml

%files
%doc README.md doc/
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/ocaml/%{name}
%exclude /usr/doc/%{name}


%changelog
* Thu Feb 27 2020 daviddavid <daviddavid> 0.7.2-3.mga8
+ Revision: 1550902
- switch to ocaml-dune
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.7.2-2.mga7
+ Revision: 1374238
- switch to sqlite3

* Sun Feb 17 2019 joequant <joequant> 0.7.2-1.mga7
+ Revision: 1367889
- update to 0.7.2

* Sun Sep 23 2018 umeabot <umeabot> 0.6.25-2.mga7
+ Revision: 1298034
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 joequant <joequant> 0.6.25-1.mga7
+ Revision: 1213985
- update to 0.6.25

* Fri Jan 05 2018 tv <tv> 0.6.22-1.mga7
+ Revision: 1190540
- BR ocaml-ounit-devel
- new release
- BR ocaml-ocamlbuild$

* Sun Nov 05 2017 joequant <joequant> 0.6.21-1.mga7
+ Revision: 1176035
- upgrade to 0.9.21

* Fri Oct 13 2017 daviddavid <daviddavid> 0.6.19-2.mga7
+ Revision: 1171493
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Wed May 03 2017 joequant <joequant> 0.6.19-1.mga6
+ Revision: 1098780
- upgrade to 0.6.19

* Wed Feb 01 2017 joequant <joequant> 0.6.16-1.mga6
+ Revision: 1084452
- upgrade to 0.6.16

* Sun Oct 23 2016 joequant <joequant> 0.5.24-1.mga6
+ Revision: 1063276
- imported package google-drive-ocamlfuse

